View Issue Details

IDProjectCategoryView StatusLast Update
0000347OpenMPT[All Projects] Feature Requestpublic2018-02-24 20:05
ReporterharbingerAssigned ToSaga Musix 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version 
Target VersionFixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000347: Note reminder when transposing via keypress
Description

Would love to have an option to play the new note when using the keyboard shortcut to move the note pitch up or down. That is, when a note is selected and you use the "Transpose +/- 1/12" shortcut (and the "Transpose Preview" option is on), the Preview Play function plays the note at the new pitch for a short time.
There should also be a keyboard shortcut to toggle this option off, in case previewed notes of an instrument have audio delays or long attacks.
If multiple notes have been selected, it should be debated (or perhaps part of the option) whether the first, last, or no notes are played.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

has duplicate 0000363 closed Preview on Transpose +1 (etc) input 

Activities

Saga Musix

Saga Musix

2018-02-24 20:05

administrator   ~0003450

This was implemented in v1.27.01.00 as "Play notes when transposing" in the general options.

Issue History

Date Modified Username Field Change
2013-01-22 14:35 harbinger New Issue
2013-03-23 17:18 harbinger Relationship added has duplicate 0000363
2018-02-24 20:05 Saga Musix Assigned To => Saga Musix
2018-02-24 20:05 Saga Musix Status new => resolved
2018-02-24 20:05 Saga Musix Resolution open => fixed
2018-02-24 20:05 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2018-02-24 20:05 Saga Musix Note Added: 0003450